Bug 16314 - Cannot type { or } with ALT+CTRL with Swedish keyboard layout
Summary: Cannot type { or } with ALT+CTRL with Swedish keyboard layout
Status: CONFIRMED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: Text Editor (show other bugs)
Version: 4.2.3
Hardware: PC Windows
: Normal normal
Target Milestone: master
Assignee: Cody Russell
URL:
: 20845 22807 30110 30112 30113 41737 41861 55068 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-11-18 08:28 UTC by Carl Emmoth
Modified: 2017-04-17 16:14 UTC (History)
12 users (show)

Tags: keyboard, layout, swedish, {, }, ctrl, alt, gr,
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report for Bug 16314 on Developer Community or GitHub if you have new information to add and do not yet see a matching new report.

If the latest results still closely match this report, you can use the original description:

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments

Related Links:
Status:
CONFIRMED

Description Carl Emmoth 2013-11-18 08:28:23 UTC
Since update Unity to 4.3 and using 4.0.1 MonoDevelop it is not possible to type { or } with CTRL + ALT on Swedish keyboard layout.

It still is possible to use ALT GR but not CTRL + ALT.

Problem discovered in Windows 8.1 and in MonoDevelop only. All other text editors may use CTRL + ALT and 7 or 0 to type { or }.
Comment 1 Mikayla Hutchinson [MSFT] 2013-11-18 15:20:37 UTC
Unity ships an old, modified version of MonoDevelop, which we do not support.

Can you reproduce this with Xamarin Studio 4.2.1?
Comment 2 Mike Krüger 2013-11-20 02:45:01 UTC
should be fixed in newer versions

Unity is missing nearly 1 year of bugfixes ...
Comment 3 Danol 2014-03-29 10:10:22 UTC
Heyo, still not working on czech keyboard layout in xamarin 4.2.3
Comment 4 Mikayla Hutchinson [MSFT] 2014-04-01 15:14:32 UTC
What version of Mono is shown in the details of the About dialog?
Comment 5 Danol 2014-04-01 16:43:14 UTC
4.2.3 #60
Comment 6 Mikayla Hutchinson [MSFT] 2014-04-01 16:47:41 UTC
The Mono version, please, not the Xamarin Studio version.
Comment 7 Danol 2014-04-02 13:05:20 UTC
Ah, sorry. Could it be Monodevelop.Ide version 2.6.0.0?
Comment 8 Mikayla Hutchinson [MSFT] 2014-04-02 16:32:43 UTC
Please just copy paste the full contents of About -> Details :)
Comment 9 Danol 2014-04-02 16:40:20 UTC
http://pastebin.com/ccDwezsT :P Loaded assemblies are uncopiable, I'll make a sshot of it on request
Comment 10 Mikayla Hutchinson [MSFT] 2014-04-02 16:51:10 UTC
Ah, you're running on Windows so there is no Mono version. My bad.

Look like GTK+ is 2.24.22.
Comment 11 Cody Russell 2014-04-05 14:08:07 UTC
I think this was fixed in the patch that fixed bug #4205. I believe it's released to the beta channel already.
Comment 12 Danol 2014-04-05 15:02:57 UTC
Just switched to beta channel and still nothing.
Comment 13 Cody Russell 2014-04-05 15:17:14 UTC
Hmm.. can you see what version of GTK+ you have now since you switched to the beta channel?
Comment 14 Danol 2014-04-05 18:13:10 UTC
Microsoft .NET 4.0.30319.34011
GTK+ 2.24.22 (MS-Windows theme)
GTK# 2.12.25
Comment 15 Cody Russell 2014-11-14 14:08:30 UTC
I have a build that seems to fix the issue for me. Would you be willing to test it for me before I release it?
Comment 16 Danol 2014-11-14 14:09:36 UTC
No prob :)
Comment 17 domen 2015-01-26 21:49:59 UTC
I'm using Slovene keyboard and have the same issues. Is there any progress regarding this bug?

I suspect that alt is causing problems. I also cannot enter characters using alt + numeric code (for example alt+60 should return character < but it does nothing in Xamarin Studio).


My Xamarin version data:

Xamarin Studio
Version 5.7 (build 661)
Installation UUID: 59a6b98a-f16f-4f0a-9aa9-e5192209be89
Runtime:
    Microsoft .NET 4.0.30319.34209
    GTK+ 2.24.22 (MS-Windows theme)
    GTK# 2.12.26

Xamarin.Android
Version: 4.20.0 (Indie Edition)
Android SDK: [...]
    Supported Android versions:
        4.0.3 (API level 15)
        4.1   (API level 16)
        4.4   (API level 19)
        5.0   (API level 21)
Java SDK: [...]
java version "1.7.0_71"
Java(TM) SE Runtime Environment (build 1.7.0_71-b14)
Java HotSpot(TM) Client VM (build 24.71-b01, mixed mode, sharing)

Build Information
Release ID: 507000661
Git revision: b70bab61da996da29045ea8ee8aed1a6faedbe78
Build date: 2015-01-05 11:27:37-05
Xamarin addins: 82f6c71490562d6cd125a09287f441902fdac3d7
Comment 18 Cody Russell 2015-01-26 22:23:57 UTC
Yes, there is progress on this. I believe I've got it fixed, I'm just trying to get it past QA and into a release soon. I'll comment on here when I've managed to get that done.
Comment 19 Cody Russell 2015-02-04 22:49:10 UTC
*** Bug 22807 has been marked as a duplicate of this bug. ***
Comment 20 Saurabh 2015-05-12 05:33:36 UTC
We have checked and able to type  { or } with ALT+CTRL with Swedish keyboard layout. Other Combination we have checked for Swedish keyboards are:
•	Alt + Ctrl +2 → @
•	Alt + Ctrl +3 → £
•	Alt + Ctrl +4 → $
•	Alt + Ctrl +E → €
•	Alt + Ctrl +M → µ
•	Alt + Ctrl +7 → {
•	Alt + Ctrl +8 → [
Combinations checked for Slovene keyboard:
•	Alt + Ctrl +F → [
•	Alt + Ctrl +G → ]
•	Alt + Ctrl +K → ł
•	Alt + Ctrl +L → Ł
•	Alt + Ctrl +V → @
•	Alt + Ctrl +B → {
•	Alt + Ctrl+ 1 → ~

Environment Info:
Xamarin Studio
Version 6.0 (build 559)
Installation UUID: a11fadb0-d7b1-4e4b-b5dd-787b243e880f
Runtime:
	Microsoft .NET 4.0.30319.0
	GTK+ 2.24.23 (MS-Windows theme)
	GTK# 2.12.29

Xamarin.Android
Not Installed

Xamarin Android Player
Version: 0.3.7.2
Location: C:\Program Files\Xamarin Android Player\DeviceManager.exe

Build Information
Release ID: 600000559
Git revision: 0c38cde1f37efacb5359223f3b258796e1b06e30
Build date: 2015-05-11 14:48:20-04
Xamarin addins: 3172da76a32b4550117996a22275bba47ee0f5fb
Build lane: monodevelop-windows-master

Operating System
Windows 6.1.7601.65536 (64-bit)
Comment 21 Saurabh 2015-05-12 05:38:56 UTC
Based on above observations closing this issue.
Comment 22 scotch83 2015-12-22 09:52:02 UTC
Sorry but this is not really helping us with this issue.

I just installed the whole new Xamarin bundle and it does not work.
When I go in the key bindings and try to associate a key combination including Ctrl + Alt, this two are not recognized.

What is shown in the text box where the combination should be is the first pressed button and when I press the second, none of them is shown, just as that specific combination has an issue and cannot be identified.

Any hint about where to look for further verification?

Xamarin Studio
Version 5.10.1 (build 6)
Installation UUID: 9da72f4c-e349-4c04-b1ae-49ec162d8d93
Runtime:
	Microsoft .NET 4.0.30319.34209
	GTK+ 2.24.23 (MS-Windows theme)
	GTK# 2.12.30

Xamarin.Profiler
Not Installed

Xamarin.Android
Version: 6.0.0 (Indie Edition)
Android SDK: C:\Program Files (x86)\Android\android-sdk
	Supported Android versions:
		2.3   (API level 10)
		4.0.3 (API level 15)
		4.1   (API level 16)
		4.2   (API level 17)
		4.3   (API level 18)
		4.4   (API level 19)
		5.0   (API level 21)
		5.1   (API level 22)
		6.0   (API level 23)

SDK Tools Version: 24.4.1
SDK Platform Tools Version: 23.1

SDK Build Tools Version: 23.0.1


Java SDK: C:\Program Files (x86)\Java\jdk1.6.0_45
java version "1.6.0_45"
Java(TM) SE Runtime Environment (build 1.6.0_45-b06)
Java HotSpot(TM) Client VM (build 20.45-b01, mixed mode, sharing)

Xamarin Android Player
Version: 0.6.5
Location: C:\Program Files\Xamarin Android Player\DeviceManager.exe

Build Information
Release ID: 510010006
Git revision: 0b60eecdb531933734519c13257d16a780274aab
Build date: 2015-12-04 19:20:22-05
Xamarin addins: 9876fd7c9837977178411ec7375b4352c0a0d6af
Build lane: monodevelop-windows-cycle6-baseline

Operating System
Windows 6.1.7601.65536 (64-bit)
Comment 23 domen 2015-12-25 18:37:27 UTC
Reported in bug 37287.
Comment 24 domen 2016-10-05 12:30:33 UTC
Any progress on this issue?

Mentioned key combinations are still not working.

Xamarin Studio 6.1.1 (build 15)
Microsoft .NET 4.0.30319.42000
GTK+ 2.24.26 (Light theme)
GTK# 2.12.38
Comment 25 Cody Russell 2017-01-24 19:29:22 UTC
*** Bug 41861 has been marked as a duplicate of this bug. ***
Comment 26 Cody Russell 2017-01-24 19:46:47 UTC
*** Bug 41737 has been marked as a duplicate of this bug. ***
Comment 27 Cody Russell 2017-01-24 19:47:43 UTC
*** Bug 20845 has been marked as a duplicate of this bug. ***
Comment 28 Cody Russell 2017-01-24 19:48:19 UTC
*** Bug 30110 has been marked as a duplicate of this bug. ***
Comment 29 Cody Russell 2017-01-24 19:48:33 UTC
*** Bug 30113 has been marked as a duplicate of this bug. ***
Comment 30 Cody Russell 2017-01-24 19:49:02 UTC
*** Bug 30112 has been marked as a duplicate of this bug. ***
Comment 31 Cody Russell 2017-04-17 16:14:51 UTC
*** Bug 55068 has been marked as a duplicate of this bug. ***